MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031573Open CASCADE[OCCT] OCCT:Visualizationpublic2020-05-19 21:052020-05-30 12:26
Reportervsv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031573: Visualization - Do not show seam edge for shading presentation with boundary edges in VTK
DescriptionSeam edges of such objects like cylinder, sphere, cone and so on must not be shown in shading mode with boundary edges switched On for VTK presentation. See attached example picture.
TagsNo tags attached.
Test case numberv3d/ivtk/seam_edges
Attached Filespng file icon seam_edge.png (33,979 bytes) 2020-05-19 21:05
png file icon seam_edges.png (21,174 bytes) 2020-05-25 12:12

- Relationships

-  Notes
(0092264)
git (administrator)
2020-05-20 15:49

Branch CR31573 has been created by vsv.

SHA-1: 2569f7433aa9927ab3ad5678db4cbf4e78a5d4c1


Detailed log of new commits:

Author: vsv
Date: Wed May 20 15:50:15 2020 +0300

    0031573: Visualization - Do not show seam edge for shading presentation with boundary edges in VTK
(0092265)
kgv (developer)
2020-05-20 16:47

It would be more consistent following similar logic checking upper continuity GeomAbs_Shape implemented by method fillFaceBoundaries() in StdPrs_ShadedShape.cxx (ideally reusing the code, but at least following common approach).

G2 could be used to filter seem edges.
(0092295)
git (administrator)
2020-05-21 17:30

Branch CR31573 has been updated forcibly by vsv.

SHA-1: 072c0df83df08511dcb936961297bc45891881fc
(0092301)
git (administrator)
2020-05-22 12:21

Branch CR31573 has been updated forcibly by vsv.

SHA-1: dc8949045fea4d92d8b92eb31a39175a37997c74
(0092317)
git (administrator)
2020-05-25 09:56

Branch CR31573 has been updated forcibly by vsv.

SHA-1: cc91f1efdaf43e2a26efc25899e657f7345eed46
(0092318)
git (administrator)
2020-05-25 10:19

Branch CR31573 has been updated forcibly by vsv.

SHA-1: cf5d92c000b04a9d7d785fbd7edeafa30bd7422d
(0092322)
vsv (developer)
2020-05-25 12:14

Compilation and tests of the patch is finished in http://vm-jenkins-test-12.nnov.opencascade.com/view/CR31573-master-vsv/ [^]
Picture from a test of this functionality is attached.
(0092324)
kgv (developer)
2020-05-25 12:37

Please raise the patch in OCCT branch CR31573.
(0092394)
bugmaster (administrator)
2020-05-29 09:49

Combination -
OCCT branch : WEEK-22
master SHA - 872f98d9ef76db68b45bb744a6f56788f134d9e7
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-22 SHA - 0948de4c2124aea8b36e4e2373bac22c08a4c7dc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17185.300000000076 / 17188.26000000018 [-0.02%]
Products
Total CPU difference: 11192.350000000066 / 11217.810000000067 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 18662.4375 / 18659.515625 [+0.02%]
Products
Total CPU difference: 12991.78125 / 13006.1875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092412)
git (administrator)
2020-05-30 12:26

Branch CR31573 has been deleted by inv.

SHA-1: cf5d92c000b04a9d7d785fbd7edeafa30bd7422d

- Related Changesets
occt: master 2ba1172b
Timestamp: 2020-05-20 12:50:15
Author: vsv
Committer: bugmaster
Details ] Diff ]
0031573: Visualization - Do not show seam edge for shading presentation with boundary edges in VTK
mod - src/IVtk/IVtk_Types.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_DisplayModeFilter.cxx Diff ] File ]
add - tests/v3d/ivtk/seam_edges Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-05-19 21:05 vsv New Issue
2020-05-19 21:05 vsv Assigned To => vsv
2020-05-19 21:05 vsv File Added: seam_edge.png
2020-05-20 09:35 kgv Relationship added child of 0029787
2020-05-20 09:35 kgv Severity minor => feature
2020-05-20 15:49 git Note Added: 0092264
2020-05-20 16:47 kgv Note Added: 0092265
2020-05-21 17:30 git Note Added: 0092295
2020-05-22 12:21 git Note Added: 0092301
2020-05-25 09:56 git Note Added: 0092317
2020-05-25 10:19 git Note Added: 0092318
2020-05-25 12:12 vsv File Added: seam_edges.png
2020-05-25 12:14 vsv Note Added: 0092322
2020-05-25 12:14 vsv Assigned To vsv => kgv
2020-05-25 12:37 kgv Note Added: 0092324
2020-05-25 12:37 kgv Assigned To kgv => bugmaster
2020-05-25 12:37 kgv Status new => resolved
2020-05-25 12:37 kgv Status resolved => reviewed
2020-05-29 09:49 bugmaster Note Added: 0092394
2020-05-29 09:49 bugmaster Status reviewed => tested
2020-05-29 09:51 bugmaster Test case number => v3d/ivtk/seam_edges
2020-05-30 12:13 bugmaster Changeset attached => occt master 2ba1172b
2020-05-30 12:13 bugmaster Status tested => verified
2020-05-30 12:13 bugmaster Resolution open => fixed
2020-05-30 12:26 git Note Added: 0092412


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker